Hi Steven,

2012/4/29 Steven <steven.mccann@gmail.com>
Hi,

I'm using py27-opengl 3.0.1_0 and py27-opengl-accelerate 3.0.1_0 on MacOS 10.7.3 64 bit via macports.  I'm also using wxWidgets-devel 2.9.3_0+sdl if that's relevant.
I've installed the wxgui component of gnuradio and am getting the following error when I try and use an openGL widget:

Traceback (most recent call last):
 File "/opt/local/lib/python2.7/site-packages/gnuradio/wxgui/plotter/plotter_base.py", line 187, in _on_paint
   for fcn in self._draw_fcns: fcn[1]()
 File "/opt/local/lib/python2.7/site-packages/gnuradio/wxgui/plotter/plotter_base.py", line 58, in draw
   GL.glNewList(self._grid_compiled_list_id, GL.GL_COMPILE)
ctypes.ArgumentError: argument 1: <type 'exceptions.TypeError'>: wrong type

The code is at http://pastebin.com/ezLmgYv2


Please make sure GL.glGenLists is returning what you expect it to return (namely an unsigned int). On some platforms I've seen PyOpenGL bindings not returning the generated value but rather expecting to assign it to the second parameter in a similar fashion than that of the C API.

Hope this helps!
Alejandro.-

------------------------------------------------------------------------------
Live Security Virtual Conference
Exclusive live event will cover all the ways today's security and
threat landscape has changed and how IT managers can respond. Discussions
will include endpoint security, mobile security and the latest in malware
threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/
_______________________________________________
PyOpenGL Homepage
http://pyopengl.sourceforge.net
_______________________________________________
PyOpenGL-Users mailing list
PyOpenGL-Users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/pyopengl-users




--
http://alejandrosegovia.net